#load the required library
library(taxize)
#get genus-level IDs within each target family from NCBI taxonomy
taxa <- downstream(input, db = "ncbi", downto = "genus")
output_genera<-taxa$output$childtaxa_name
write.csv(output_genera, file="output_genera.txt",quote = FALSE, row.names = FALSE)
